summaryrefslogtreecommitdiffstats
path: root/bin/schroot-create.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-08-15 15:18:58 +0200
committerHolger Levsen <holger@layer-acht.org>2015-08-15 15:18:58 +0200
commit571b063077bc37e7b85478cbfc9fa3a4c41821db (patch)
treea030c44894937ca47747f146190e1f80214a479b /bin/schroot-create.sh
parentce26a6eec7667c47005f3ee37f54e95de0e52b22 (diff)
downloadjenkins.debian.net-571b063077bc37e7b85478cbfc9fa3a4c41821db.tar.xz
reproducible: s#debbindiff#diffoscope#g in most of the output
Diffstat (limited to 'bin/schroot-create.sh')
-rwxr-xr-xbin/schroot-create.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index 25e7fa48..adecb729 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -127,17 +127,17 @@ bootstrap() {
done
set -x
sudo chroot $CHROOT_TARGET apt-get update
- # install debbindiff with all recommends...
+ # install diffoscope with all recommends...
if [ "$1" = "debbindiff" ] ; then
sudo chroot $CHROOT_TARGET apt-get install -y --install-recommends debbindiff
fi
sudo chroot $CHROOT_TARGET apt-get install -y --no-install-recommends "$@" sudo
- # always use debbindiff from unstable
+ # always use diffoscope from unstable
if [ "$SUITE" = "testing" ] && [ "$1" = "debbindiff" ] ; then
echo "deb $MIRROR unstable main" | sudo tee -a $CHROOT_TARGET/etc/apt/sources.list > /dev/null
sudo chroot $CHROOT_TARGET apt-get update
- # install debbindiff from unstable without re-adding all recommends...
- sudo chroot $CHROOT_TARGET apt-get install -y -t unstable --no-install-recommends debbindiff || echo "Warning: debbindiff from unstable is uninstallable at the moment."
+ # install diffoscope from unstable without re-adding all recommends...
+ sudo chroot $CHROOT_TARGET apt-get install -y -t unstable --no-install-recommends debbindiff || echo "Warning: diffoscope from unstable is uninstallable at the moment."
fi
if ! $DEBUG ; then set +x ; fi
if [ "$1" = "debbindiff" ] ; then